%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version	0.76
%define gtk_doc_version         1.4
%define udev_version            124

Summary: Device Enumeration Framework
Name: DeviceKit
Version: 002
Release: 0.git20080720%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0: %{name}-%{version}.git20080720.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk-doc >= %{gtk_doc_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: udev >= %{udev_version}

%description
DeviceKit is a framework for enumerating devices.

%package devel
Summary: Headers and libraries for DeviceKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: pkgconfig
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc

%description devel
Headers and libraries for DeviceKit.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_bindir}/*
%{_libexecdir}/*

%{_libdir}/lib*.so.*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/udev/rules.d/*

%{_datadir}/dbus-1/system-services/*

%dir %{_localstatedir}/run/devkit

%files devel
%defattr(-,root,root,-)

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/dbus-1/interfaces/*

%dir %{_datadir}/gtk-doc/html/devkit
%{_datadir}/gtk-doc/html/devkit/*

%changelog
* Sun Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%{?dist}
- Initial packaging
